Apache HTTP Server mod_proxy_ajp拒绝服务漏洞

2011-09-18T00:00:00
ID SSV:20934
Type seebug
Reporter Root
Modified 2011-09-18T00:00:00

Description

CVE(CAN) ID: CVE-2011-3348

Apache HTTP Server是Apache软件基金会的一个开放源代码的网页服务器,可以在大多数电脑操作系统中运行,由于其跨平台和安全性被广泛使用,是最流行的Web服务器端软件之一。

Apache HTTP Server的mod_proxy_balancer在实现上存在安全漏洞,恶意用户可利用此漏洞造成拒绝服务。

此漏洞源于结合mod_proxy_balancer使用时,mod_proxy_ajp中的畸形HTTP请求处理时的错误。通过发送特制的HTTP请求,可造成后端服务器故障,直到重试超时结束后才会结束临时DoS。

Apache Group Apache HTTP Server 2.2.x 厂商补丁:

Apache Group

目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

http://httpd.apache.org/